#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofEnableAlphaBlending();
	ofBackground(30,30,30);
	
	
	// set the position of the rectangle:
	
	for (int i = 0; i < 30; i++){
		myRectangles[i].pos.x=100;
		myRectangles[i].pos.y=50;
	}
		
	myRectangle.pos.x = 100;
	myRectangle.pos.y = 50;
	
}

//--------------------------------------------------------------
void testApp::update(){
	myRectangle.xenoToPoint(mouseX, mouseY);
	for (int i = 0; i < 30; i++){
		myRectangles[i].xenoToPoint(mouseX, mouseY);
	}
	
	
}

//--------------------------------------------------------------
void testApp::draw(){
	myRectangle.draw();
	for (int i = 0; i < 30; i++){
		myRectangles[i].draw();
		//	ofSetColor(pos.x,255,255);
	}
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
